#include <gtk/gtk.h>
#include "gsd-keyboard-manager.h"

int main ()
{
    GsdKeyboardManager *manager = NULL;
    GError  *error = NULL;

    gtk_init(NULL, NULL);
    manager = gsd_keyboard_manager_new ();

    if (manager == NULL) {
        return -1;
    }

    gsd_keyboard_manager_start (manager, &error);

    gtk_main ();
    gsd_keyboard_manager_stop(manager);

    return 0;
}
