/**
 * Copyright (c) 2011 ~ 2013 Deepin, Inc.
 *               2011 ~ 2013 jouyouyun
 *
 * Author:      jouyouyun <jouyouwen717@gmail.com>
 * Maintainer:  jouyouyun <jouyouwen717@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 **/

#include "gsd-mouse-manager.h"
#include <gtk/gtk.h>
#include <glib.h>

int
main (int argc, char *argv[])
{
    gtk_init(NULL, NULL);
    GsdMouseManager *manager = gsd_mouse_manager_new();
    GError *error = NULL;

    gboolean ok = gsd_mouse_manager_start(manager, &error);

    if (!ok) {
        g_warning("Start GSD Mouse Failed");
        return -1;
    }

    gtk_main();
    gsd_mouse_manager_stop(manager);

    return 0;
}
